#!/usr/bin/env python

# copyright:
# ----------------------------------------------------------------------------
# This confidential and proprietary software may be used only as authorized
# by a licensing agreement from ARM Limited.
#      (C) COPYRIGHT 2017 ARM Limited, ALL RIGHTS RESERVED
# The entire notice above must be reproduced on all authorized copies and
# copies may only be made to the extent permitted by a licensing agreement
# from ARM Limited.
# ----------------------------------------------------------------------------

import sys

out = sys.argv[1]
target_type = sys.argv[2]
flags = sys.argv[3:]

if target_type == "--check-host":
    assert "x86_64-linux-gnu" in flags
elif target_type == "--check-target":
    assert "aarch64-linux-gnu" in flags
else:
    assert False, "Invalid target type: '%s'" % target_type

assert "-DROOT_VAR=1" in flags
assert "-DSECOND_VAR=2" in flags

with open(out, "wt") as fp:
    fp.write(" ".join(flags))
